Callisto4Bootloader: CAN_Type Struct Reference

Callisto4Bootloader

Data Fields
CAN_Type Struct Reference
Mapping Information » Edma_request » Iomuxc_pads » Device Peripheral Access Layer » CAN Peripheral Access Layer

`#include <MIMXRT1062.h>`

## Data Fields

__IO uint32_t | MCR
__IO uint32_t | CTRL1
__IO uint32_t | TIMER
uint8_t | RESERVED_0 [4]
__IO uint32_t | RXMGMASK
__IO uint32_t | RX14MASK
__IO uint32_t | RX15MASK
__IO uint32_t | ECR
__IO uint32_t | ESR1
__IO uint32_t | IMASK2
__IO uint32_t | IMASK1
__IO uint32_t | IFLAG2
__IO uint32_t | IFLAG1
__IO uint32_t | CTRL2
__I uint32_t | ESR2
uint8_t | RESERVED_1 [8]
__I uint32_t | CRCR
__IO uint32_t | RXFGMASK
__I uint32_t | RXFIR
__IO uint32_t | CBT
uint8_t | RESERVED_2 [4]
__I uint32_t | DBG1
__I uint32_t | DBG2
uint8_t | RESERVED_3 [32]
union {
struct {
__IO uint32_t CAN_Type::CS
__IO uint32_t CAN_Type::ID
__IO uint32_t CAN_Type::WORD [2]
} CAN_Type::MB_8B [64]
struct {
__IO uint32_t CAN_Type::CS
__IO uint32_t CAN_Type::ID
__IO uint32_t CAN_Type::WORD [4]
} CAN_Type::MB_16B [42]
struct {
__IO uint32_t CAN_Type::CS
__IO uint32_t CAN_Type::ID
__IO uint32_t CAN_Type::WORD [8]
} CAN_Type::MB_32B [24]
struct {
__IO uint32_t CAN_Type::CS
__IO uint32_t CAN_Type::ID
__IO uint32_t CAN_Type::WORD [16]
} CAN_Type::MB_64B [14]
struct {
__IO uint32_t CAN_Type::CS
__IO uint32_t CAN_Type::ID
__IO uint32_t CAN_Type::WORD0
__IO uint32_t CAN_Type::WORD1
} CAN_Type::MB [64]
}; |
uint8_t | RESERVED_4 [1024]
__IO uint32_t | RXIMR [64]
uint8_t | RESERVED_5 [96]
__IO uint32_t | GFWR
uint8_t | RESERVED_6 [524]
__IO uint32_t | EPRS
__IO uint32_t | ENCBT
__IO uint32_t | EDCBT
__IO uint32_t | ETDC
__IO uint32_t | FDCTRL
__IO uint32_t | FDCBT
__I uint32_t | FDCRC
__IO uint32_t | ERFCR
__IO uint32_t | ERFIER
__IO uint32_t | ERFSR
uint8_t | RESERVED_7 [24]
__I uint32_t | HR_TIME_STAMP [64]
uint8_t | RESERVED_8 [8912]
__IO uint32_t | ERFFEL [128]

## Detailed Description

CAN - Register Layout Typedef

Definition at line 3438 of file MIMXRT1062.h.

The documentation for this struct was generated from the following file:

- device/MIMXRT1062.h